> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all bill emails

> Get all bill emails that belong to an organization. Supports filtering by service name, date range, and pagination.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/bill-emails
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/bill-emails:
    get:
      tags:
        - Spends
      summary: Get all bill emails
      description: >-
        Get all bill emails that belong to an organization. Supports filtering
        by service name, date range, and pagination.
      operationId: publicGetBillEmails
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: showUnmatchedEmail
          required: false
          in: query
          description: Whether to include emails that are not matched to any service
          schema:
            type: boolean
            example: true
        - name: saasUniqueName
          required: false
          in: query
          description: Filter by service unique name
          schema:
            example: github
            type: string
        - name: startDate
          required: false
          in: query
          description: Filter by start date (YYYY-MM-DD format)
          schema:
            example: '2022-10-01'
            type: string
        - name: endDate
          required: false
          in: query
          description: Filter by end date (YYYY-MM-DD format)
          schema:
            example: '2022-10-10'
            type: string
        - name: limit
          required: false
          in: query
          description: Maximum number of items to return
          schema:
            example: 50
            type: number
        - name: cursor
          required: false
          in: query
          description: Cursor for pagination
          schema:
            example: xxxxxx
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetBillEmailsResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicGetBillEmailsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PublicBillEmailDto'
        meta:
          $ref: '#/components/schemas/CursorPaginationMeta'
      required:
        - items
        - meta
    PublicBillEmailDto:
      type: object
      properties:
        emailId:
          type: string
          readOnly: true
          example: xxxxx
        receivedAt:
          type: string
          readOnly: true
          example: '2022-08-31T07:11:20.000Z'
        toAddress:
          type: string
          readOnly: true
          example: customer-email@gmail.com
        senderAddress:
          type: string
          readOnly: true
          example: noreply@github.com
        fromAddress:
          type: string
          readOnly: true
          example: noreply@github.com
        fromName:
          type: string
          readOnly: true
          example: GitHub
        forwardedToAddress:
          type: string
          readOnly: true
          example: mfi-123@forward.i.moneyforward.com
        subject:
          type: string
          readOnly: true
          example: Your payment from GitHub
        serviceName:
          type: string
          readOnly: true
          example: GitHub
        serviceUniqueName:
          type: string
          readOnly: true
          example: github
        attachments:
          readOnly: true
          example:
            - fileName: receipt.pdf
              fileType: application/pdf
              s3Path: >-
                69576014/2024-04-19/d9j1sifi5ggghc2rkjruqpnoqorobvfr2hqedm01/receipt.pdf
          type: array
          items:
            $ref: '#/components/schemas/EmailAttachment'
      required:
        - emailId
        - receivedAt
        - toAddress
        - senderAddress
        - fromAddress
        - fromName
        - forwardedToAddress
        - subject
        - serviceName
        - serviceUniqueName
        - attachments
    CursorPaginationMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
        totalItems:
          type: number
          nullable: true
          readOnly: true
          example: 1
      required:
        - nextCursor
    EmailAttachment:
      type: object
      properties:
        fileName:
          type: string
          readOnly: true
          example: body.pdf
        fileType:
          type: string
          readOnly: true
          example: application/pdf
        s3Path:
          type: string
          readOnly: true
          example: >-
            69576014/2024-04-19/d9j1sifi5ggghc2rkjruqpnoqorobvfr2hqedm01/body.pdf
      required:
        - fileName
        - fileType
        - s3Path
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````